<?php

namespace Hilco\Models;

class CustomerOverride extends UuidModel {
	protected $table = 'CustomerOverrides';
	protected $fillable = ['customer_id', 'customercategory_id', 'profile'];

	public function customer() {
		return $this->belongsTo(Customer::class, 'customer_id');
	}

	public function customerCategory() {
	    return $this->belongsTo(CustomerCategory::class, 'customercategory_id');
    }

    use \Hilco\SoftDeletes;
}
